VERSION 5.00
Begin VB.Form frmConnections 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Define Workspace Connection Strings"
   ClientHeight    =   8100
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6585
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8100
   ScaleWidth      =   6585
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdReset 
      Caption         =   "Reset &All"
      Default         =   -1  'True
      Height          =   375
      Left            =   2280
      TabIndex        =   30
      Top             =   7560
      Width           =   1215
   End
   Begin VB.Frame fraConnOptions 
      Caption         =   "Connection Options"
      Height          =   5295
      Left            =   120
      TabIndex        =   7
      Top             =   2040
      Width           =   6255
      Begin VB.Frame fraRegional 
         Caption         =   "Regional Settings"
         Height          =   1575
         Left            =   240
         TabIndex        =   25
         Top             =   3480
         Width           =   5775
         Begin VB.CheckBox chkRegionalSettings 
            Caption         =   "Use re&gional settings when outputting currency, number, dates and times"
            Height          =   375
            Left            =   240
            TabIndex        =   29
            Top             =   1080
            Width           =   5295
         End
         Begin VB.CheckBox chkTranslate 
            Caption         =   "Per&form translation for character data"
            Height          =   255
            Left            =   240
            TabIndex        =   28
            Top             =   720
            Width           =   3735
         End
         Begin VB.ComboBox cboLanguage 
            Height          =   315
            Left            =   3000
            Style           =   2  'Dropdown List
            TabIndex        =   27
            Top             =   240
            Width           =   2535
         End
         Begin VB.Label lblLanguage 
            Caption         =   "Cha&nge the language of SQL Server system messages to:"
            Height          =   495
            Left            =   240
            TabIndex        =   26
            Top             =   240
            Width           =   2295
         End
      End
      Begin VB.Frame fraConnection 
         Caption         =   "Connection Settings"
         Height          =   1575
         Left            =   240
         TabIndex        =   17
         Top             =   1800
         Width           =   5775
         Begin VB.TextBox txtQueryTimeout 
            Height          =   300
            Left            =   2520
            TabIndex        =   24
            Top             =   1140
            Width           =   2940
         End
         Begin VB.TextBox txtBatchSeparator 
            Height          =   300
            Left            =   2520
            TabIndex        =   22
            Top             =   780
            Width           =   2940
         End
         Begin VB.CheckBox chkAnsiNulls 
            Caption         =   "&Use ANSI nulls, paddings and warnings"
            Height          =   255
            Left            =   120
            TabIndex        =   20
            Top             =   510
            Width           =   3375
         End
         Begin VB.CheckBox chkParseOdbcMsg 
            Caption         =   "Parse &ODBC message prefixes"
            Height          =   255
            Left            =   2880
            TabIndex        =   19
            Top             =   240
            Width           =   2655
         End
         Begin VB.CheckBox chkQuotedIds 
            Caption         =   "Use ANSI quote&d identifiers"
            Height          =   255
            Left            =   120
            TabIndex        =   18
            Top             =   240
            Width           =   2415
         End
         Begin VB.Label lblQueryTimeout 
            Caption         =   "Qu&ery time-out (seconds)"
            Height          =   255
            Left            =   240
            TabIndex        =   23
            Top             =   1140
            Width           =   2055
         End
         Begin VB.Label lblBatchSep 
            Caption         =   "&TSQL batch separator"
            Height          =   255
            Left            =   240
            TabIndex        =   21
            Top             =   780
            Width           =   1935
         End
      End
      Begin VB.Frame fraQuery 
         Caption         =   "Query settings"
         Height          =   1455
         Left            =   240
         TabIndex        =   8
         Top             =   240
         Width           =   5775
         Begin VB.CheckBox chkNoCount 
            Caption         =   "No &count display"
            Height          =   255
            Left            =   240
            TabIndex        =   9
            Top             =   240
            Width           =   1575
         End
         Begin VB.CheckBox chkNoExecute 
            Caption         =   "No e&xecute"
            Height          =   255
            Left            =   240
            TabIndex        =   11
            Top             =   510
            Width           =   1575
         End
         Begin VB.CheckBox chkParseOnly 
            Caption         =   "&Parse query only"
            Height          =   255
            Left            =   240
            TabIndex        =   13
            Top             =   780
            Width           =   1575
         End
         Begin VB.CheckBox chkShowQP 
            Caption         =   "Show &query plan"
            Height          =   255
            Left            =   3360
            TabIndex        =   10
            Top             =   240
            Width           =   1935
         End
         Begin VB.CheckBox chkStatsTime 
            Caption         =   "Show &stats time"
            Height          =   255
            Left            =   3360
            TabIndex        =   12
            Top             =   510
            Width           =   2175
         End
         Begin VB.CheckBox chkStatsIO 
            Caption         =   "S&how stats io"
            Height          =   255
            Left            =   3360
            TabIndex        =   14
            Top             =   780
            Width           =   1575
         End
         Begin VB.TextBox txtRowCount 
            Height          =   300
            Left            =   3360
            TabIndex        =   16
            Top             =   1080
            Width           =   1575
         End
         Begin VB.Label lblRowCount 
            Caption         =   "Ro&w Count"
            Height          =   255
            Left            =   240
            TabIndex        =   15
            Top             =   1080
            Width           =   1455
         End
      End
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   3720
      TabIndex        =   31
      Top             =   7560
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5160
      TabIndex        =   32
      Top             =   7560
      Width           =   1215
   End
   Begin VB.TextBox txtConnName 
      Height          =   300
      Left            =   120
      TabIndex        =   1
      Top             =   360
      Width           =   6015
   End
   Begin VB.TextBox txtConnValue 
      Height          =   300
      Left            =   120
      TabIndex        =   3
      Top             =   960
      Width           =   6015
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "..."
      Height          =   300
      Left            =   6120
      TabIndex        =   4
      ToolTipText     =   "Build a connection string that will be used to establish a connection to SQL Server"
      Top             =   960
      Width           =   300
   End
   Begin VB.TextBox txtDescription 
      Height          =   300
      Left            =   120
      TabIndex        =   6
      Top             =   1560
      Width           =   6015
   End
   Begin VB.Label lblWorkspaceId 
      Enabled         =   0   'False
      Height          =   375
      Left            =   240
      TabIndex        =   33
      Top             =   7560
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.Label lblConnName 
      AutoSize        =   -1  'True
      Caption         =   "Na&me"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   420
   End
   Begin VB.Label lblConnValue 
      AutoSize        =   -1  'True
      Caption         =   "Connection St&ring"
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   1260
   End
   Begin VB.Label lblDescription 
      AutoSize        =   -1  'True
      Caption         =   "Descr&iption (Optional)"
      Height          =   195
      Left            =   120
      TabIndex        =   5
      Top             =   1320
      Width           =   1515
   End
End
Attribute VB_Name = "frmConnections"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  FILE:       frmConnections.frm
'              Microsoft TPC-H Kit Ver. 2.7.0-1005
'              Copyright Microsoft, 2008
'              All Rights Reserved
'
'
'  PURPOSE:    Maintenance screen for Connection Strings
'  Contact:    Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit

Private Sub chkNoExecute_Click()
    Call NoExecuteClicked
End Sub


Private Sub chkParseOnly_Click()
    Call ParseOnlyClicked
End Sub


Private Sub chkShowQP_Click()
    Call ShowQPClicked
End Sub


Private Sub cmdCancel_Click()

    Unload Me
    
End Sub

Private Sub cmdOK_Click()

    Call ConnectionOK
    
End Sub

Private Sub cmdConnect_Click()

    Me.txtConnValue = CreateConnectString(Me.txtConnValue, CLng(Me.lblWorkspaceId))
    
End Sub



Private Sub cmdReset_Click()
Call ResetConnProperties
End Sub

Private Sub txtQueryTimeout_KeyPress(KeyAscii As Integer)

    Call ForceNumeric(Me.txtQueryTimeout, KeyAscii)
    
End Sub


Private Sub txtRowCount_KeyPress(KeyAscii As Integer)

    Call ForceNumeric(Me.txtRowCount, KeyAscii)
    
End Sub


